[PATCH][FWTS-TEST] fwts-test: skip some tests on non-x86 builds
Colin King
colin.king at canonical.com
Wed Mar 5 12:22:12 UTC 2014
From: Colin Ian King <colin.king at canonical.com>
Some tests are failing on fwts-tests on non-x86 architectures
because we don't have these tests built in. So skip the tests that
are affected.
Signed-off-by: Colin Ian King <colin.king at canonical.com>
---
fwts-test/apicinstance-0001/test-0001.sh | 6 ++++++
fwts-test/apicinstance-0001/test-0002.sh | 6 ++++++
fwts-test/arg-help-0001/test-0001.sh | 9 +++++++++
fwts-test/arg-help-0001/test-0002.sh | 9 +++++++++
fwts-test/arg-show-tests-0001/test-0001.sh | 9 +++++++++
fwts-test/arg-show-tests-0001/test-0002.sh | 9 +++++++++
fwts-test/arg-show-tests-full-0001/test-0001.sh | 9 +++++++++
fwts-test/osilinux-0001/test-0001.sh | 6 ++++++
fwts-test/osilinux-0001/test-0002.sh | 6 ++++++
fwts-test/wmi-0001/test-0001.sh | 6 ++++++
fwts-test/wmi-0001/test-0002.sh | 6 ++++++
fwts-test/wmi-0001/test-0003.sh | 6 ++++++
12 files changed, 87 insertions(+)
diff --git a/fwts-test/apicinstance-0001/test-0001.sh b/fwts-test/apicinstance-0001/test-0001.sh
index 964b0d9..3b1a83b 100755
--- a/fwts-test/apicinstance-0001/test-0001.sh
+++ b/fwts-test/apicinstance-0001/test-0001.sh
@@ -4,6 +4,12 @@ TEST="Test apicinstance against known incorrect ACPI tables"
NAME=test-0001.sh
TMPLOG=$TMP/apicinstance.log.$$
+$FWTS --show-tests | grep apicinstance > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/apicinstance-0001/acpidump-0001.log apicinstance - | grep "^[0-9]*[ ]*apicinstance" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/apicinstance-0001/apicinstance-0001.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/apicinstance-0001/test-0002.sh b/fwts-test/apicinstance-0001/test-0002.sh
index c92e16b..485c8d1 100755
--- a/fwts-test/apicinstance-0001/test-0002.sh
+++ b/fwts-test/apicinstance-0001/test-0002.sh
@@ -4,6 +4,12 @@ TEST="Test apicinstance against known correct ACPI tables"
NAME=test-0002.sh
TMPLOG=$TMP/apicinstance.log.$$
+$FWTS --show-tests | grep apicinstance > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/apicinstance-0001/acpidump-0002.log apicinstance - | grep "^[0-9]*[ ]*apicinstance" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/apicinstance-0001/apicinstance-0002.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/arg-help-0001/test-0001.sh b/fwts-test/arg-help-0001/test-0001.sh
index d25f0ed..d61275a 100755
--- a/fwts-test/arg-help-0001/test-0001.sh
+++ b/fwts-test/arg-help-0001/test-0001.sh
@@ -5,6 +5,15 @@ NAME=test-0001.sh
TMPLOG=$TMP/help.log.$$
HERE=`pwd`
+#
+# Non-x86 tests don't have WMI so skip this test
+#
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
stty cols 80
$FWTS -h | grep -v "Show version" | grep -v "Usage" > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/arg-help-0001/arg-help-0001.log >> $FAILURE_LOG
diff --git a/fwts-test/arg-help-0001/test-0002.sh b/fwts-test/arg-help-0001/test-0002.sh
index d23162e..9fd914f 100755
--- a/fwts-test/arg-help-0001/test-0002.sh
+++ b/fwts-test/arg-help-0001/test-0002.sh
@@ -5,6 +5,15 @@ NAME=test-0002.sh
TMPLOG=$TMP/help.log.$$
HERE=`pwd`
+#
+# Non-x86 tests don't have WMI so skip this test
+#
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
stty cols 80
$FWTS --help | grep -v "Show version" | grep -v "Usage" > $TMPLOG
diff --git a/fwts-test/arg-show-tests-0001/test-0001.sh b/fwts-test/arg-show-tests-0001/test-0001.sh
index 9c81be7..537af53 100755
--- a/fwts-test/arg-show-tests-0001/test-0001.sh
+++ b/fwts-test/arg-show-tests-0001/test-0001.sh
@@ -4,6 +4,15 @@ TEST="Test -s option"
NAME=test-0001.sh
TMPLOG=$TMP/arg-show-tests.log.$$
+#
+# Non-x86 tests don't have WMI so skip this test
+#
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
stty cols 80
$FWTS -s > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/arg-show-tests-0001/arg-show-tests-0001.log >> $FAILURE_LOG
diff --git a/fwts-test/arg-show-tests-0001/test-0002.sh b/fwts-test/arg-show-tests-0001/test-0002.sh
index e3f6c17..2382b4c 100755
--- a/fwts-test/arg-show-tests-0001/test-0002.sh
+++ b/fwts-test/arg-show-tests-0001/test-0002.sh
@@ -4,6 +4,15 @@ TEST="Test --show-tests option"
NAME=test-0002.sh
TMPLOG=$TMP/arg-show-tests.log.$$
+#
+# Non-x86 tests don't have WMI so skip this test
+#
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
stty cols 80
$FWTS -s > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/arg-show-tests-0001/arg-show-tests-0001.log >> $FAILURE_LOG
diff --git a/fwts-test/arg-show-tests-full-0001/test-0001.sh b/fwts-test/arg-show-tests-full-0001/test-0001.sh
index 4858bee..b4e74f7 100755
--- a/fwts-test/arg-show-tests-full-0001/test-0001.sh
+++ b/fwts-test/arg-show-tests-full-0001/test-0001.sh
@@ -4,6 +4,15 @@ TEST="Test --show-tests-full option"
NAME=test-0001.sh
TMPLOG=$TMP/arg-show-tests-full.log.$$
+#
+# Non-x86 tests don't have WMI so skip this test
+#
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
stty cols 80
$FWTS --show-tests-full > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/arg-show-tests-full-0001/arg-show-tests-full-0001.log >> $FAILURE_LOG
diff --git a/fwts-test/osilinux-0001/test-0001.sh b/fwts-test/osilinux-0001/test-0001.sh
index d1369d8..fe8e166 100755
--- a/fwts-test/osilinux-0001/test-0001.sh
+++ b/fwts-test/osilinux-0001/test-0001.sh
@@ -4,6 +4,12 @@ TEST="Test osilinux against known incorrect ACPI tables"
NAME=test-0001.sh
TMPLOG=$TMP/osilinux.log.$$
+$FWTS --show-tests | grep osilinux > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/osilinux-0001/acpidump-0001.log osilinux - | grep "^[0-9]*[ ]*osilinux" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/osilinux-0001/osilinux-0001.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/osilinux-0001/test-0002.sh b/fwts-test/osilinux-0001/test-0002.sh
index b03557d..e297502 100755
--- a/fwts-test/osilinux-0001/test-0002.sh
+++ b/fwts-test/osilinux-0001/test-0002.sh
@@ -4,6 +4,12 @@ TEST="Test osilinux against known correct ACPI tables"
NAME=test-0002.sh
TMPLOG=$TMP/osilinux.log.$$
+$FWTS --show-tests | grep osilinux > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/osilinux-0001/acpidump-0002.log osilinux - | grep "^[0-9]*[ ]*osilinux" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/osilinux-0001/osilinux-0002.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/wmi-0001/test-0001.sh b/fwts-test/wmi-0001/test-0001.sh
index 74343eb..13d93b4 100755
--- a/fwts-test/wmi-0001/test-0001.sh
+++ b/fwts-test/wmi-0001/test-0001.sh
@@ -4,6 +4,12 @@ TEST="Test wmi against known correct ACPI tables"
NAME=test-0001.sh
TMPLOG=$TMP/wmi.log.$$
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/wmi-0001/acpidump-0001.log wmi - | grep "^[0-9]*[ ]*wmi" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/wmi-0001/wmi-0001.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/wmi-0001/test-0002.sh b/fwts-test/wmi-0001/test-0002.sh
index 1213991..d50dfa1 100755
--- a/fwts-test/wmi-0001/test-0002.sh
+++ b/fwts-test/wmi-0001/test-0002.sh
@@ -4,6 +4,12 @@ TEST="Test wmi against known correct ACPI tables"
NAME=test-0002.sh
TMPLOG=$TMP/wmi.log.$$
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/wmi-0001/acpidump-0002.log wmi - | grep "^[0-9]*[ ]*wmi" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/wmi-0001/wmi-0002.log >> $FAILURE_LOG
ret=$?
diff --git a/fwts-test/wmi-0001/test-0003.sh b/fwts-test/wmi-0001/test-0003.sh
index 76d8db3..f88e809 100755
--- a/fwts-test/wmi-0001/test-0003.sh
+++ b/fwts-test/wmi-0001/test-0003.sh
@@ -4,6 +4,12 @@ TEST="Test wmi against known incorrect ACPI tables"
NAME=test-0003.sh
TMPLOG=$TMP/wmi.log.$$
+$FWTS --show-tests | grep wmi > /dev/null
+if [ $? -eq 1 ]; then
+ echo SKIP: $TEST, $NAME
+ exit 77
+fi
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/wmi-0001/acpidump-0003.log wmi - | grep "^[0-9]*[ ]*wmi" | cut -c7- > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/wmi-0001/wmi-0003.log >> $FAILURE_LOG
ret=$?
--
1.9.0
More information about the fwts-devel
mailing list